package ru.micord.ervu.journal;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author ya.kuznetsova
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class JournalFileDataResponse {

  @JsonProperty("orgId_ERVU")
  private String orgIdErvu; // идентификатор организации в ЕРВУ

  @JsonProperty("filesInfo")
  private List<JournalFileInfo> filesInfo;

  public String getOrgIdErvu() {
    return orgIdErvu;
  }

  public JournalFileDataResponse setOrgIdErvu(String orgIdErvu) {
    this.orgIdErvu = orgIdErvu;
    return this;
  }

  public List<JournalFileInfo> getFilesInfo() {
    return filesInfo;
  }

  public JournalFileDataResponse setFilesInfo(List<JournalFileInfo> filesInfo) {
    this.filesInfo = filesInfo;
    return this;
  }
}
